ClarisDrawTextInternal::Token Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawTextInternal::Token Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions
| Token ()
| constructor More...

## Public Attributes
TokenType | m_type
| the type More...
int | m_zoneId
| the zone id which correspond to this type More...
int | m_page
| the page More...
int | m_size [2]
| the size(?) More...
int | m_descent
| the descent More...
MWAWEntry | m_fieldEntry
| the field name entry More...
int | m_unknown [3]
| the unknown zone More...
std::string | m_extra
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator << More...

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

## § Token()

ClarisDrawTextInternal::Token::Token | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |
| friend

operator <<

## Member Data Documentation

## § m_descent

int ClarisDrawTextInternal::Token::m_descent

the descent

Referenced by ClarisDrawTextInternal::operator<<().

## § m_extra

std::string ClarisDrawTextInternal::Token::m_extra

a string used to store the parsing errors

Referenced by ClarisDrawTextInternal::operator<<(), and ClarisDrawText::readTokens().

## § m_fieldEntry

MWAWEntry ClarisDrawTextInternal::Token::m_fieldEntry

the field name entry

Referenced by ClarisDrawText::sendText().

## § m_page

int ClarisDrawTextInternal::Token::m_page

the page

Referenced by ClarisDrawTextInternal::operator<<(), and ClarisDrawText::readTokens().

## § m_size

int ClarisDrawTextInternal::Token::m_size[2]

the size(?)

Referenced by ClarisDrawTextInternal::operator<<(), and ClarisDrawText::readTokens().

## § m_type

TokenType ClarisDrawTextInternal::Token::m_type

the type

Referenced by ClarisDrawTextInternal::operator<<(), ClarisDrawText::readTokens(), and ClarisDrawText::sendText().

## § m_unknown

int ClarisDrawTextInternal::Token::m_unknown[3]

the unknown zone

Referenced by ClarisDrawTextInternal::operator<<(), ClarisDrawText::readTokens(), and ClarisDrawText::sendText().

## § m_zoneId

int ClarisDrawTextInternal::Token::m_zoneId

the zone id which correspond to this type

Referenced by ClarisDrawTextInternal::operator<<(), and ClarisDrawText::readTokens().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx